<!--cabecera-->
<header id="header" class="container-fluid px-4">
  <nav class="navbar navbar-expand-lg navbar-light bg-light px-2">
    <a class="navbar-brand" href="#">Vientos PATAGONICO</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="menu">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" [routerLink] = "['']">Inicio</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink] = "['products-list']">Listado de productos</a>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" [routerLink] = "['edit-product']">Editar Producto</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink] = "['']">Tarjetas</a>
        </li>
      </ul>    
    </div>
  </nav>
</header>

<!-- CONTENIDO -->
<!-- 
se utiliza router-outlet, es dinamico
<login></login>
<register></register> 
-->
<div class="container-fluid p-4">
<router-outlet></router-outlet>
</div>